package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.ArContentType;


/**
*  service接口类
*/
public interface ArContentTypeService{

    List<ArContentType> getArContentTypeList(ArContentType record);

    List<ArContentType> getArContentTypeByPage(Page page, ArContentType record);

    ArContentType getArContentTypeById(String id);

    ArContentType getArContentType(ArContentType record);

    boolean createArContentType(ArContentType record);

    boolean deleteArContentType(ArContentType record);

    boolean updateArContentType(ArContentType record);
}

